/**
 * Copyright (c) 2007-2010 Capgemini, 2010-2012 EBMWebsourcing, 2012-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.api.exception;

/**
 * This exception is thrown when an error occurs during the connection to the JMX Server.
 * @author Christophe Deneux - Capgemini Sud
 * @author Cedric Girodengo - Capgemini Sud
 */
public class ConnectionErrorException extends PetalsJMXClientException {

    /**
     *
     */
    private static final long serialVersionUID = -735371285089299858L;

    public ConnectionErrorException(Throwable cause) {
        super(cause);
    }
    public ConnectionErrorException(String message) {
        super(message);
    }
    public ConnectionErrorException(String message, Throwable cause) {
        super(message, cause);
    }
}
