/**
 * Copyright (c) 2013-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.api.monitoring.component.framework;

/**
 * Available values for 'execution status'. These values are exchanged with
 * the Petals ESB container through the JMX API.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
// TODO: Move following constants in a project common with the Petals
// kernel side
public class ServiceProviderInvocationStatusString {

    public final static String SUCCEEDED = "SUCCEEDED";

    public final static String PENDING = "PENDING";

    public final static String FAULT = "FAULT";

    public final static String ERROR = "ERROR";
}