/**
 * Copyright (c) 2013-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.api.monitoring.defect.exception;

import org.ow2.petals.jmx.api.api.monitoring.exception.MonitoringException;

/**
 * The basic exception of defect area.
 * 
 * @author Christophe DENEUX - Linagora
 */
public class DefectException extends MonitoringException {

    private static final long serialVersionUID = 1760869954888775027L;

    public DefectException(final String message) {
        super(message);
    }

    public DefectException(final Throwable cause) {
        super(cause);
    }

    public DefectException(final String message, final Throwable cause) {
        super(message, cause);
    }

}
