/**
 * Copyright (c) 2007-2012 EBM WebSourcing, 2012-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.api.exception;

/**
 * This exception is thrown if an error occurs when working with the Admin Service MBean.
 * @author Roland Naudin - EBM WebSourcing
 */
public class AdminServiceErrorException extends PetalsJMXClientException {

    private static final long serialVersionUID = -2421558086565490096L;

    public AdminServiceErrorException(final Throwable cause) {
        super(cause);
    }

    public AdminServiceErrorException(final String string) {
        super(string);
    }

    public AdminServiceErrorException(final String string, final Throwable cause) {
        super(string, cause);
    }
}
